Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76920 - compiling kernel failed.
Summary: compiling kernel failed.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 13:38 UTC by Jean-Jacques Sarton
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:08 UTC


Attachments (Terms of Use)

Description Jean-Jacques Sarton 2002-10-29 13:38:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Output from gcc
gcc -D__KERNEL__ -I/usr/src/linux-2.4.18-17.7.x/include -Wall
-Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common
-fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686 -DMODULE
-DMODVERSIONS -include /usr/src/linux-2.4.18-17.7.x/include/linux/modversions.h
 -nostdinc -I /usr/lib/gcc-lib/i386-redhat-linux/2.96/include
-DKBUILD_BASENAME=sis_mm  -c -o sis_mm.o sis_mm.c
In file included from sis_mm.c:33:
/usr/src/linux-2.4.18-17.7.x/include/linux/sisfb.h:116: floating constant
exponent has no digits
....
sis_mm.c:87: warning: implicit declaration of function `sis_malloc_Ra3329ed5'
sis_mm.c:94: warning: implicit declaration of function `sis_free_Rced25333'
make[3]: *** [sis_mm.o] Fehler 1

The declaration:
extern void sis_malloc(struct sis_memreq *req);
was translated by cpp in:
sis_malloc_Ra3329ed5

The kernel source was donwnloaded and the file
linux*/configs/kernel-2.4.18-i686.config was copied to
linux*/.config.
after issuing make dep and make dep, some files was compiled correctly
and finnally the reported error was generated. Trying to compile again
produced the same errors.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see above
2. see above
3. see above
	

Additional info:

Comment 1 Jakub Jelinek 2002-10-29 13:41:34 UTC
This looks like missing make mrproper.

Comment 2 Jean-Jacques Sarton 2002-10-29 13:50:59 UTC
make mrproper was called.
The process of building was done more times. unpacking the rpm file,
calling make  mrproper, copying the config file, calling make dep and then
make modules.

Comment 3 Bugzilla owner 2004-09-30 15:40:08 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.